Last Comment Bug 887358 - Change "= 0" assignments for ptrs in nsHttpChannel to "= nullptr"
: Change "= 0" assignments for ptrs in nsHttpChannel to "= nullptr"
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: unspecified
: All All
: -- trivial (vote)
: mozilla25
Assigned To: Adrian Lungu
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 10:44 PDT by Steve Workman [:sworkman] (please use needinfo)
Modified: 2013-07-03 05:01 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
The patch containing the bugfix (2.88 KB, patch)
2013-06-26 17:18 PDT, Adrian Lungu
sworkman: review+
Details | Diff | Splinter Review

Description Steve Workman [:sworkman] (please use needinfo) 2013-06-26 10:44:14 PDT
Many pointers in nsHttpChannel are nulled out using 0 instead of nullptr. These should be changed to nullptr. In addition, change nullptr checks to "(!ptr)" and not "(ptr != 0)".

Note: This is a good first bug to develop familiarity with Bugzilla and the patch landing process.
Comment 1 Adrian Lungu 2013-06-26 17:18:46 PDT
Created attachment 768084 [details] [diff] [review]
The patch containing the bugfix
Comment 2 Steve Workman [:sworkman] (please use needinfo) 2013-06-27 11:22:26 PDT
Comment on attachment 768084 [details] [diff] [review]
The patch containing the bugfix

Review of attachment 768084 [details] [diff] [review]:
-----------------------------------------------------------------

Good job. Thanks for doing that.
Comment 3 Patrick McManus [:mcmanus] 2013-06-27 11:33:24 PDT
steve can review this.
Comment 4 Steve Workman [:sworkman] (please use needinfo) 2013-06-27 11:34:47 PDT
Thanks Pat!
Comment 5 Steve Workman [:sworkman] (please use needinfo) 2013-06-27 12:08:49 PDT
I'll do this right after lunch - removed "checkin-needed" in case someone sees it in the meantime :)
Comment 6 Steve Workman [:sworkman] (please use needinfo) 2013-06-27 12:44:35 PDT
Pushed to inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/36fe6903a0be
Comment 7 Steve Workman [:sworkman] (please use needinfo) 2013-06-27 12:53:31 PDT
Aagh - I didn't set the name right - sorry, Adrian! Next time, we'll make sure it has your name on it.
Comment 8 Ed Morley [:emorley] 2013-06-28 06:44:09 PDT
https://hg.mozilla.org/mozilla-central/rev/36fe6903a0be

Note You need to log in before you can comment on or make changes to this bug.